<br>
<div>
    <input #heroName placeholder="Hero Name"/>
    <button (click)="add(heroName.value); heroName.value=''">
    Add
    </button>
</div>
<br>
<ul class="heroes">
  <li *ngFor="let hero of heroes"
      (click)="onSelect(hero)"
      [class.selected]="hero === selectedHero">
    <span class="badge">{{ hero.id }}</span>
    <span class="text">{{ hero.name }}</span>
    <button class="delete"
            (click)="delete(hero); $event.stopPropagation()">X</button>
  </li>
</ul>
<div *ngIf="selectedHero">
  <h2>{{ selectedHero.name | uppercase }} is my hero</h2>
  <button (click)="gotoDetail()">View Details</button>
</div>
